<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout android:orientation="vertical" android:layout_width="fill_parent" android:layout_height="wrap_content"
  xmlns:android="http://schemas.android.com/apk/res/android" xmlns:app="http://schemas.android.com/apk/res-auto">
    <com.moji.titlebar.MJTitleBar android:id="@id/unit_title_bar" android:layout_width="fill_parent" android:layout_height="wrap_content" app:mjTbTitleText="@string/setting_item_units" />
    <ScrollView android:orientation="vertical" android:background="#fff5f5f5" android:layout_width="fill_parent" android:layout_height="fill_parent" android:fillViewport="true" android:layout_below="@id/unit_title_bar">
        <LinearLayout android:orientation="vertical" android:layout_width="fill_parent" android:layout_height="fill_parent">
            <TextView android:text="@string/my_setting_units_temperature" style="@style/UnitLabel" />
            <View style="@style/Divider" />
            <RadioGroup android:id="@id/unit_rg_temp" style="@style/UnitRadioGroup">
                <RadioButton android:id="@id/unit_rg_temp_centigrade" android:text="@string/my_setting_units_temperature_centigrade" style="@style/UnitRadioButton" />
                <View style="@style/Divider" />
                <RadioButton android:id="@id/unit_rg_temp_f" android:text="@string/my_setting_units_temperature_f" style="@style/UnitRadioButton" />
            </RadioGroup>
            <View style="@style/Divider" />
            <TextView android:text="@string/my_setting_units_speed" style="@style/UnitLabel" />
            <View style="@style/Divider" />
            <RadioGroup android:id="@id/unit_rg_wind" style="@style/UnitRadioGroup">
                <RadioButton android:id="@id/unit_rg_wind_beau" android:text="@string/my_setting_units_speed_beau" style="@style/UnitRadioButton" />
                <View style="@style/Divider" />
                <RadioButton android:id="@id/unit_rg_wind_km" android:text="@string/my_setting_units_speed_km" style="@style/UnitRadioButton" />
                <View style="@style/Divider" />
                <RadioButton android:id="@id/unit_rg_wind_mile" android:text="@string/my_setting_units_speed_mile" style="@style/UnitRadioButton" />
                <View style="@style/Divider" />
                <RadioButton android:id="@id/unit_rg_wind_meter" android:text="@string/my_setting_units_speed_meter" style="@style/UnitRadioButton" />
                <View style="@style/Divider" />
                <RadioButton android:id="@id/unit_rg_wind_kt" android:text="@string/my_setting_units_speed_kt" style="@style/UnitRadioButton" />
                <View style="@style/Divider" />
                <RadioButton android:id="@id/unit_rg_wind_hk" android:visibility="gone" android:text="@string/my_setting_units_speed_hk" style="@style/UnitRadioButton" />
            </RadioGroup>
            <View style="@style/Divider" />
            <TextView android:text="@string/my_setting_units_pressure" style="@style/UnitLabel" />
            <View style="@style/Divider" />
            <RadioGroup android:id="@id/unit_rg_pressure" style="@style/UnitRadioGroup">
                <RadioButton android:id="@id/unit_rg_pressure_hPa" android:text="@string/my_setting_units_pressure_hpa" style="@style/UnitRadioButton" />
                <View style="@style/Divider" />
                <RadioButton android:id="@id/unit_rg_pressure_mmHg" android:text="@string/my_setting_units_pressure_mmHg" style="@style/UnitRadioButton" />
                <View style="@style/Divider" />
                <RadioButton android:id="@id/unit_rg_pressure_inHg" android:text="@string/my_setting_units_pressure_inHg" style="@style/UnitRadioButton" />
                <View style="@style/Divider" />
                <RadioButton android:id="@id/unit_rg_pressure_mbar" android:text="@string/my_setting_units_pressure_mbar" style="@style/UnitRadioButton" />
            </RadioGroup>
            <View style="@style/Divider" />
            <TextView android:textSize="@dimen/setting_text_size" android:textColor="#ffcccccc" android:gravity="center_vertical" android:id="@id/reset" android:background="@drawable/unit_reset_bg" android:paddingLeft="@dimen/_15dp" android:layout_width="fill_parent" android:layout_height="48.0dip" android:layout_marginTop="25.0dip" android:text="@string/unit_reset" />
            <View style="@style/Divider" />
            <TextView android:textSize="12.0dip" android:textColor="@color/setting_color_second" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/setting_text_padding_size" android:layout_marginTop="8.0dip" android:layout_marginRight="@dimen/setting_text_padding_size" android:layout_marginBottom="10.0dip" android:text="@string/unit_remind" />
        </LinearLayout>
    </ScrollView>
</RelativeLayout>